aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2017-01-20 11:05:42 +0000
committerGravatar Vladimir Moskva <vladmos@google.com>2017-01-20 12:24:21 +0000
commita2e63b6b5e93b97e7bbaf9bd880339b056eace70 (patch)
treeb1087f5de58bd10c5fe31d4db2e1a52338397bd4 /scripts
parentd2293e2e09988554cbc142ce59ef34703dfc13d7 (diff)
For the time being, only test building on freebsd
The targets //site:jekyll-tree and //scripts/packages currently fail due to the python rules. They will be reenabled, once those are fixed in a released version. -- Change-Id: I54a8bcad87b153e2eb4e86f8e4d76d1d92f00bf9 Reviewed-on: https://cr.bazel.build/8397 PiperOrigin-RevId: 145066780 MOS_MIGRATED_REVID=145066780
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/build.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/scripts/ci/build.sh b/scripts/ci/build.sh
index 66ba31269d..32fc7bcaeb 100755
--- a/scripts/ci/build.sh
+++ b/scripts/ci/build.sh
@@ -126,14 +126,17 @@ function bazel_build() {
xcodebuild -showsdks 2> /dev/null | grep -q '\-sdk iphonesimulator'; then
ARGS="--define IPHONE_SDK=1"
fi
+ local OPTIONAL_TARGETS="//site:jekyll-tree //scripts/packages"
+ if [[ $PLATFORM =~ "freebsd" ]] ; then
+ OPTIONAL_TARGETS=
+ fi
${BOOTSTRAP_BAZEL} --bazelrc=${BAZELRC:-/dev/null} --nomaster_bazelrc build \
--embed_label=${release_label} --stamp \
--workspace_status_command=scripts/ci/build_status_command.sh \
--define JAVA_VERSION=${JAVA_VERSION} \
${ARGS} \
//src:bazel \
- //site:jekyll-tree \
- //scripts/packages || exit $?
+ ${OPTIONAL_TARGETS} || exit $?
if [ -n "${1-}" ]; then
# Copy the results to the output directory